%define Werror_cflags %nil

Summary:	Linux MultiMedia Studio
Name:		lmms
Version:	0.4.13
Release:	%mkrel 1
Group:		Sound
License:	GPLv2+
URL:		http://lmms.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/lmms/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png
Patch0:		%{name}.desktop.patch
BuildRequires:	libSDL-devel
BuildRequires:	jackit-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libfftw-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	libfluidsynth-devel
BuildRequires:	libxft-devel
BuildRequires:	libxinerama-devel

%description
LMMS aims to be a free alternative to popular (but commercial and closed-
source) programs like FruityLoops/FL Studio, Cubase and Logic allowing you
to produce music with your computer.This includes creation of loops,
synthesizing and mixing sounds, arranging samples, having fun with your
MIDI-keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program and those
of powerful synthesizers, samplers, effects etc. in a modern, user-friendly
and easy to use graphical user-interface.

Features

* Song-Editor for arranging the song
* creating beats and basslines using the Beat-/Bassline-Editor
* easy-to-use piano-roll for editing patterns and melodies
* instrument and effect-plugins
* support for hosting VST(i)- and LADSPA-plugins (instruments/effects)
* automation-editor
* MIDI-support

%package devel
Summary:	Development package for %{name}
Group:		Development/C

%description devel
Development files and headers for %{name}.

%prep
%setup -q
%patch0 -p0

# remove spurious x-bits
find . -type f -exec chmod 0644 {} \;

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib}
%make

%install
%makeinstall_std -C build

install -m644 %{SOURCE10} -D %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -f %{buildroot}/%{_libdir}/%{name}/*.a %{buildroot}%{_datadir}/menu/*

%files
%defattr(-,root,root)
%doc README AUTHORS TODO
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/lmms.png

%files devel
%defattr(-,root,root)
%{_includedir}/lmms


%changelog
* Thu Feb 09 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.4.13-1mdv2012.0
+ Revision: 772241
- new version 0.4.13

  + Александр Казанцев <kazancas@mandriva.org>
    - fix broken path for /usr/lib/lmms/*.so modules

  + Sergey Zhemoitel <serg@mandriva.org>
    - add russian comments in .desktop

* Thu Aug 25 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.12-1
+ Revision: 697079
- update to new version 0.4.12

* Mon Aug 15 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.11-2
+ Revision: 694614
- rebuild

* Sat Jul 30 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.11-1
+ Revision: 692426
- update to new version 0.4.11

* Sat Apr 16 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.10-1
+ Revision: 653539
- update to new version 0.4.10
- drop patch2

* Sun Oct 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.8-1mdv2011.0
+ Revision: 582719
- update to new version 0.4.8

* Sun Aug 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7-1mdv2011.0
+ Revision: 567599
- add buildrequires on libxinerama-devel
- update to new version 0.4.7
- drop patch 0
- update file list

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.6-1mdv2010.1
+ Revision: 485173
- Update to new version 0.4.6
- Disable -Werror=format-security CFLAG

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.5-1mdv2010.0
+ Revision: 415765
- Update to new version 0.4.5
- Remove literal patch integrated upstream

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.4-1mdv2010.0
+ Revision: 372314
- Add libxft-devel BuildRequires
- Udate to new version 0.4.4
- Update format-security patch

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.4.3-2mdv2010.0
+ Revision: 370739
- add libdir patch from fedora

* Tue Feb 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 344469
- update to new version 0.4.3

* Sun Dec 21 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.2-2mdv2009.1
+ Revision: 316852
- oops, typo
- ok, ok, so it doesn't build with underlinking protection
- add literal.patch: fix string literal problems
- it builds fine with underlinking and Werror

* Sat Dec 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 316808
- update to new version 0.4.2
- LMMS uses now cmake to build
 add buildrequiresd on libsndfile-devel, libfftw-devel, pulseaudio-devel, libfluidsynth-devel
- Patch0: rediff
- drop patch1, use sed to correct path for LADSPA plugins
- use _disable_ld_no_undefined and Werror_cflags (too much effort to fix this)
- add devel subpackage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Mar 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 187506
- new version
- better summary and description
- enable high quality sinc-resampling

* Thu Feb 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.3.1-5mdv2008.1
+ Revision: 175973
- Fix icon macros

* Thu Feb 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.3.1-4mdv2008.1
+ Revision: 175955
- Try to fix plugin loading (Bug #38210)

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-3mdv2008.1
+ Revision: 175125
- fix bug #37629

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - fix spacing at top of description

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-2mdv2008.1
+ Revision: 137843
- drop redundant buildrequires
- move icons to fd.o compiliant directory
- spec file clean
- fix wrong plugin path on x86_64 arch (bug #31038)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 111080
- new version
- new license policy
- do not package COPYING file, add AUTHORS instead

* Wed Sep 05 2007 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 79715
- Reuse qtmagic for configure :(
- add mime type for KDE
- add missing files
- build without vts
- New version 0.3.0
- fix desktop file

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - replace %%_datadir/man by %%_mandir!


* Sat Aug 26 2006 Couriousous <couriousous@mandriva.org> 0.2.1-2mdv2007.0
- Fix menu

* Fri Aug 25 2006 Couriousous <couriousous@mandriva.org> 0.2.1-1mdv2007.0
- 0.2.1
- XDG

* Tue Apr 18 2006 Couriousous <couriousous@mandriva.org> 0.1.4-1mdk
- 0.1.4

* Sat Sep 24 2005 Couriousous <couriousous@mandriva.org> 0.1.1-1mdk
- 0.1.1
- fix x86_64 build

* Thu Jul 28 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc2mdk
-Fix BuildRequires

* Sun Jul 24 2005 Sebastien Savarin <plouf@mandriva.org> 0.1-0.rc1mdk
- First Mandriva Linux release

